// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//                     XMM Science Analysis System (SAS)
//                   (c) 1997-2010 European Space Agency
//
//---------------------------------------------------------------------------
//
//	Random.cc:	--- implementation of some Random methods
//
//	DESCRIPTION:
//		Implementation of:
//			Random::popState()
//			Random::pushState()
//
//	CHANGE HISTORY:
//		UL, 2002-03-19: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers (UL), Tue Mar 19 15:28:12 MET 2002
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/utils/src/Random.cc,v 1.2 2008/09/26 16:38:55 eojero Exp $
//

#include "Random.h"

void RandomNumberGenerator::pushState() {
	_stateVec.push_back(State(_rangeType, _min, _max));
}

void RandomNumberGenerator::popState() {
	if (!_stateVec.empty()) {
		rangeType(_stateVec.back()._rt);
		min(_stateVec.back()._min);
		max(_stateVec.back()._max);
		_stateVec.pop_back();
	}
}
