// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*****************************************************************************
 *
 *  ScisimFileLocator.cc                     XMM Science Analysis System (SAS)
 *
 *  (c) 1997 ESA  -  Written by Marco Beijersbergen
 *
 *****************************************************************************/

#include "SasFileLocator.h"

// SasFileLocator fileLocator("");

SasFileLocator::SasFileLocator(const std::string&)
{
  // Get path from environment variables.
  char* path;
  if ((path = std::getenv("SAS_PATH")))
	add(path);

  // Now add the default SAS_DIR
  if ((path = std::getenv("SAS_DIR")))
      add(path);
}

SasFileLocator & SasFileLocatorFunc()
{
  static SasFileLocator * instance = new SasFileLocator("");
  return * instance;
}
