// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// file.cc
//
//
// HISTORY:
//
//    Date        Author   Modifications
//    --------    ------   -------------
//    15/06/97    MT       Initial Version
//
//
//
//
//
//
//
// DESCRIPTION
//
//
//


#include <fstream>


#include "Tracer.h"
#include "file.h"


FileT::FileT( const string & fileName )

	: StreamT( *(new ifstream( fileName.c_str() ))),
	_fileName( fileName )
{
	PROC
	// ************************************************
	// Check to see if the file opened correctly.
	//
	// Potential bug:
	// =============
	// This may not be the best place to do this check,
	// and it may be neceassary to move this code
	// somewhere else.
	// If the file was not opened correctly, then
	// display a message, and exit.
	// ************************************************
	if( !stream() )
	{
		cerr << "Error: The file " << fileName << " could not be opened." << endl;
		exit( 1 );
	} // if

	ENDPROC
}


FileT::~FileT()
{
	PROC
	delete &stream();
	ENDPROC
}


const string &
FileT::FileNameOf() const
{
	PROC
	RETURN _fileName;

}

