// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	rantest: test the random number generator (simple)
//
//	UL, Fri May 28 17:56:18 MET DST 1999
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/utils/test/rantest.cc,v 1.5 2008/09/26 16:38:55 eojero Exp $
//
#include <iostream>
#include <cassert>

#include "Random.h"

void fillbuf(double *buff, unsigned N)
{
	for (unsigned n=0; n<N; buff[n++] = randGen.rand()) ;
}

int main()
{
	const unsigned N = 200;

	double rns1[N], rns2[N];

	fillbuf(rns1, N);
	randGen.reset();
	fillbuf(rns2, N);

	for (unsigned n=0; n<N; ++n) {
		assert(rns1[n] >= 0. && rns1[n] <= 1.);
		assert(rns1[n] == rns2[n]);
	}

	randGen.seed(12345);
	fillbuf(rns1, N);
	for (unsigned n=0; n<N; ++n)
		assert(rns1[n] != rns2[n]);


	const double min = -123;
	const double max = 999;
	randGen.min(min);
	randGen.max(max);
	fillbuf(rns1, N);

	for (unsigned n=0; n<N; ++n) {
		std::cout<<rns1[n]<<std::endl;
		assert(min <= rns1[n]  && max >= rns1[n]);
	}

	return 0;
}
