// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "QuotedString.h"
#include <sstream>
#include <cassert>

int main()
{
  std::string a,b;
  assert( a == b );

 {
  std::stringstream s;
  QuotedString qs;
  s << "foo bar";
  s >> qs;
  assert(qs == std::string("foo"));
  s >> qs; 
  assert(qs == std::string("bar"));
  s >> qs;
  assert(!s);
 }
 
 {
  std::stringstream s;
  QuotedString qs;
  s << "\"foo bar\" foo1";
  s >> qs;
  assert(qs == std::string("foo bar"));
  s >> qs;
  assert(qs == std::string("foo1"));
  s >> qs;
  assert(!s);
 }

 {
  QuotedString qs("foo bar");
  qs.quotes('(',')');
  std::stringstream s;
  s << qs;
  std::string ss;
  s >> ss;
  assert(ss == std::string("(foo"));
  s >> ss;
  assert(ss == std::string("bar)"));
 }

 {
  QuotedString qs;
  std::stringstream s;
  s << qs;
  std::string ss("foo");
  s >> ss;
  assert(ss == std::string("\"\""));
  s >> ss;
  assert(!s);
 }

 {
  QuotedString qs;
  std::stringstream s;
  s << qs;
  QuotedString ss("foo");
  s >> ss;
  assert(ss.length() == 0);
 }
 return 0;
}



